com.pdfunit.filter.page

## Class PagesToUse

- java.lang.Object
- - com.pdfunit.filter.page.PagesToUse

- Direct Known Subclasses:
    EvenPages, EveryPage, EveryPageAfter, EveryPageBefore, FirstPage, IndividualPages, LastPage, OddPages, PagesFromTo

      @DoNotObfuscate
      public abstract class PagesToUse
      extends java.lang.Object

  Abstract superclass defining methods, to define and find pages for subsequent tests, which are page dependent.
  Since:
    2016.05
  Author:
    Carsten Siedentop, January 2016

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PagesToUse()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PagesToUse` | `getPage(int pageInclusive)` This method does what the name suggests.
    `abstract com.pdfunit.internal.util.PageNumberList` | `getPageNumbersInEffect(com.pdfunit.internal.spi.IDocument document)`
    `static PagesToUse` | `getPages(int... pages)` Creating an instance providing pagenumbers for all pages of a PDF document given by the parameters.
    `static PagesFromTo` | `spanningFrom(int pageInclusive)` This method does what the name suggests.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PagesToUse

          protected PagesToUse()

  - ### Method Detail

    - #### getPageNumbersInEffect

          public abstract com.pdfunit.internal.util.PageNumberList getPageNumbersInEffect(com.pdfunit.internal.spi.IDocument document)

    - #### getPages

          @Guarded
          public static final PagesToUse getPages(int... pages)

      Creating an instance providing pagenumbers for all pages of a PDF document given by the parameters.

    - #### getPage

          @Guarded
          public static PagesToUse getPage(int pageInclusive)

      This method does what the name suggests.

    - #### spanningFrom

          @Guarded
          public static PagesFromTo spanningFrom(int pageInclusive)

      This method does what the name suggests.

Copyright (C) PDFUnit.com. See here for license.